<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

add_action( 'media_buttons', 						array('NNRobots_Popular_Posts_Admin', 'add_shortcode_button'), 15);
add_action( 'wp_enqueue_media', 					array('NNRobots_Popular_Posts_Admin', 'include_shortcode_button_scripts'));

class NNRobots_Popular_Posts_Admin {

	/**
	 * Add shortcode button to WP Editor
	 *
	 * @access public
	 * @static
	 * @return void
	 */
	static function add_shortcode_button() {

		// Get ID

		echo '<button class="button ' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-builder">Popular Posts Pro</button>
		 <div class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-builder-container">
		 <div class="postbox ' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-builder-box" style="display:none;">
			<h3>
				<span>' . __('Popular Posts Shortcode Builder', NNRobots_Popular_Posts::$text_domain) . '</span>

				<button style="float: right;margin-right: 0px;" class="button ' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-builder-close">Close</button>
				<button style="float: right;margin-right: 12px;" class="button button-primary ' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-builder-add">Insert Shortcode</button>
			</h3>
			<div class="inside">';

				// Check if there are custom post types

				$custom_post_types = get_post_types(array('public'   => true,'_builtin' => false));

				if (count($custom_post_types) == 0) {
					$custom_post_types = false;
				} else {
					$custom_post_types = true;
				}

				echo '<p style="display:none;">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode">' . __( 'ShortCode:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<code class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode"></code>
				</p>

				<!-- Content -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'content">' . __( 'Content Type:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'content" name="' . NNRobots_Popular_Posts::$prefix_dash . 'content" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'content" data-shortcode="content">
						<option value="all_post_types">' . __( 'All Post Types', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="only_posts" selected="selected">' . __( 'Only Posts', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="only_pages">' . __( 'Only Pages', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="category">' . __( 'Posts in category', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="tag">' . __( 'Posts with tag', NNRobots_Popular_Posts::$text_domain). '</option>';

						if ($custom_post_types) {
							echo '<option value="custom_post_type">' . __( 'Custom Post Type', NNRobots_Popular_Posts::$text_domain) . '</option>';
						}

					echo '</select><br/>
					<em>' . __('The type of posts that will be in the popular posts list.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Content posts in category -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'category">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'content_post_category">' . __( 'Category:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select multiple="multiple" id="' . NNRobots_Popular_Posts::$prefix_dash . 'content_post_category" name="' . NNRobots_Popular_Posts::$prefix_dash . 'content_post_category[]" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'category" data-shortcode="content_post_category">';

						$categories = get_categories();
						foreach ($categories as $category) {
							echo '<option value="' . $category->cat_ID. '">' . $category->cat_name . '</option>';
						}

					echo '</select><br/>
					<em>' . __('Only show posts that are in this/these category/ies. To select multiple categories, hold down CTRL (PC) or CMD (Mac) and select the values desired', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Content posts in tag -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'tag">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'content_post_tag">' . __( 'Tag:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<input class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'tag" id="' . NNRobots_Popular_Posts::$prefix_dash . 'content_post_tag" name="' . NNRobots_Popular_Posts::$prefix_dash . 'content_post_tag" type="text" value="" data-shortcode="content_post_tag"><br/>
					<em>' . __('Only show posts that have this/these tags. To select multiple tags, separate them with a comma (ex: tag1, tag2, tag3)', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>';

				if ($custom_post_types) {

					echo '<!-- Content custom post type -->

					<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'custom-post-type">
						<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'content_custom_post_type">' . __( 'Custom Post Type:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
						<select multiple="multiple" id="' . NNRobots_Popular_Posts::$prefix_dash . 'content_custom_post_type" name="' . NNRobots_Popular_Posts::$prefix_dash . 'content_custom_post_type[]" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'custom-post-type" data-shortcode="content_custom_post_type">';

							$post_types = get_post_types(array( 'public'   => true, '_builtin' => false));
							foreach ($post_types as $post_type) {
								echo '<option value="' . $post_type. '">' . $post_type. '</option>';
							}
						echo '</select><br/>
						<em>' . __('Only show posts that are of this/these custom post type/s. To select multiple categories, hold down CTRL (PC) or CMD (Mac) and select the values desired', NNRobots_Popular_Posts::$text_domain). '</em>
					</p>';

				}

				echo '<!-- Popularity -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'popularity">' . __( 'Popular by:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'popularity" name="' . NNRobots_Popular_Posts::$prefix_dash . 'popularity" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'popularity" data-shortcode="popularity">
						<option value="views" selected>' . __( 'Views', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="comments">' . __( 'Comments', NNRobots_Popular_Posts::$text_domain). '</option>
					</select><br/>
					<em>' . __('How the posts are ranked.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Popularity Time Range -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'popularity_time_range">' . __( 'Time Range:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'popularity_time_range" name="' . NNRobots_Popular_Posts::$prefix_dash . 'popularity_time_range" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'popularity_time_range" data-shortcode="popularity_time_range">
						<option value="all_time" selected>' . __( 'All time', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="1_day">' . __( '1 Day', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="7_days">' . __( '7 Days', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="30_days">' . __( '30 Days', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="1_year">' . __( '1 Year', NNRobots_Popular_Posts::$text_domain). '</option>
					</select><br/>
					<em>' . __('The time range from now in which the popularity is calculated.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Number of Posts -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'num_of_posts">' . __( 'Number of Posts:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'num_of_posts" name="' . NNRobots_Popular_Posts::$prefix_dash . 'num_of_posts" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'num_of_posts" data-shortcode="num_of_posts">';

						for ($i = 1; $i < 21; $i++) {
							echo '<option value="' . $i . '" ' . ($i == 5 ? 'selected="selected"' : '') . '>' . __($i, NNRobots_Popular_Posts::$text_domain) . '</option>';
						}

					echo '</select><br/>
					<em>' . __('The total number of posts that are displayed.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Layout -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'layout">' . __( 'Layout:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'layout" name="' . NNRobots_Popular_Posts::$prefix_dash . 'layout" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'layout" data-shortcode="layout">
						<option value="list" selected>' . __( 'List', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="numbered_list">' . __( 'Numbered List', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="thumbnail">' . __( 'Thumbnail', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="bar_graph">' . __( 'Bar Graph', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="line_graph">' . __( 'Line Graph', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="image_tile">' . __( 'Image Tiles', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="masonry">' . __( 'Masonry', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="grid">' . __( 'Grid', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="slider">' . __( 'Slider', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="fancy_colors">' . __( 'Fancy Colors', NNRobots_Popular_Posts::$text_domain). '</option>
					</select><br/>
					<em>' . __('The layout in which the popular posts will be displayed', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Show Views Count -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'views">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'show_views">' . __( 'Show Views Count:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'show_views" name="' . NNRobots_Popular_Posts::$prefix_dash . 'show_views" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input" data-shortcode="show_views" type="checkbox" checked="checked"><br/>
					<em>' . __('Show the views count for each post.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Show Comments Count -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'comments">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'show_comments">' . __( 'Show Comments Count:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'show_comments" name="' . NNRobots_Popular_Posts::$prefix_dash . 'show_comments" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input" data-shortcode="show_comments" type="checkbox" checked="checked"><br/>
					<em>' . __('Show the comments count for each post.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Show Category -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'post-meta">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'show_category">' . __( 'Show Category:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'show_category" name="' . NNRobots_Popular_Posts::$prefix_dash . 'show_category" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input" data-shortcode="show_category" type="checkbox" checked="checked"><br/>
					<em>' . __('Show the first category for each post.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Show Author -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'post-meta">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'show_author">' . __( 'Show Author:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'show_author" name="' . NNRobots_Popular_Posts::$prefix_dash . 'show_author" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input" data-shortcode="show_author" type="checkbox" checked="checked"><br/>
					<em>' . __('Show the author for each post.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Show Post Date -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'post-meta">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'show_post_date">' . __( 'Show Post Date:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'show_post_date" name="' . NNRobots_Popular_Posts::$prefix_dash . 'show_post_date" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input" data-shortcode="show_post_date" type="checkbox" checked="checked"><br/>
					<em>' . __('Show the post date for each post.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Display Asynchronously -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'async">' . __( 'Display Asynchronously:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'async" name="' . NNRobots_Popular_Posts::$prefix_dash . 'async" type="checkbox" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'async" checked="checked" data-shortcode="async"><br/>
					<em>' . __('Whether or not to display data asynchronously using AJAX.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Show Navigation Items -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'show-nav">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'show_nav">' . __( 'Show Navigation Buttons:', NNRobots_Popular_Posts::$text_domain) . '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'show_nav" name="' . NNRobots_Popular_Posts::$prefix_dash . 'show_nav" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'show-nav" type="checkbox" data-shortcode="show_nav"><br/>
					<em>' . __('Show the previous and next buttons for the slider.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Grid Size -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'grid-size">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'grid_size">' . __( 'Grid Size:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'grid_size" name="' . NNRobots_Popular_Posts::$prefix_dash . 'grid_size" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'grid_size" data-shortcode="grid_size">
						<option value="small">' . __( 'Small', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="medium" selected>' . __( 'Medium', NNRobots_Popular_Posts::$text_domain). '</option>
						<option value="large">' . __( 'Large', NNRobots_Popular_Posts::$text_domain). '</option>
					</select><br/>
					<em>' . __('The size of the images in the grid', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Style Override -->

				<p>
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'style_override">' . __( 'Theme Style Override:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'style_override" name="' . NNRobots_Popular_Posts::$prefix_dash . 'style_override" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'style-override" type="checkbox" data-shortcode="style_override"><br/>
					<em>' . __('Use your own custom styling for text and background, or your themes styling.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Color -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'color">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'color">' . __( 'Background Color:', NNRobots_Popular_Posts::$text_domain). '</label></strong><br/>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'color" name="' . NNRobots_Popular_Posts::$prefix_dash . 'color" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'color bg-color-picker" value="#d3d3d3" data-shortcode="color"><br/>
					<em>' . __('The background color of each item.', NNRobots_Popular_Posts::$text_domain). '</em><br/>
					<em>' . __('Note: for the bar graph layout the color\'s opacity is set to half (0.5)', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Text Color -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'text-color">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'text_color">' . __( 'Text Color:', NNRobots_Popular_Posts::$text_domain). '</label></strong><br/>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'text_color" name="' . NNRobots_Popular_Posts::$prefix_dash . 'text_color" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'text-color color-picker" value="#000000" data-shortcode="text_color"><br/>
					<em>' . __('The text color for each item.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Numbered List Style -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered-list">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_style">' . __( 'Numbered List Style:', NNRobots_Popular_Posts::$text_domain). '</label></strong>
					<select id="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_style" name="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_style" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'numbered-list-style" data-shortcode="numbered_list_style">
						<option value="normal">' . __( 'Normal', NNRobots_Popular_Posts::$text_domain) . '</option>
						<option value="big">' . __( 'Big Numbers', NNRobots_Popular_Posts::$text_domain) . '</option>
						<option value="circle">' . __( 'Circle Numbers', NNRobots_Popular_Posts::$text_domain) . '</option>
					</select><br/>
					<em>' . __('The style of the numbered list', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

				<!-- Numbered List Color Style -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered-list ' . NNRobots_Popular_Posts::$prefix_dash . 'numbered-list-color">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_color">' . __( 'Number Color:', NNRobots_Popular_Posts::$text_domain) . '</label></strong><br/>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_color" name="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_color" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input nl-color-picker" value="" data-shortcode="numbered_list_color"><br/>
					<em>' . __('The color of each number in the list.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Numbered List Background Color Style -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered-list ' . NNRobots_Popular_Posts::$prefix_dash . 'numbered-list-circle-color">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_circle_color">' . __( 'Circle Background Color:', NNRobots_Popular_Posts::$text_domain) . '</label></strong><br/>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_circle_color" name="' . NNRobots_Popular_Posts::$prefix_dash . 'numbered_list_circle_color" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input nl-circle-color-picker" value="" data-shortcode="numbered_list_circle_color"><br/>
					<em>' . __('The circle background color of each number in the list.', NNRobots_Popular_Posts::$text_domain). '</em>
				</p>

				<!-- Fancy Colors -->

				<p class="' . NNRobots_Popular_Posts::$prefix_dash . 'fancy-colors">
					<strong><label for="' . NNRobots_Popular_Posts::$prefix_dash . 'fancy_colors">' . __( 'Fancy Colors:', NNRobots_Popular_Posts::$text_domain) . '</label></strong><br/>
					<input id="' . NNRobots_Popular_Posts::$prefix_dash . 'fancy_colors" name="' . NNRobots_Popular_Posts::$prefix_dash . 'fancy_colors" value="#D14841,#F37934,#FAC51C,#61BD6D,#2C82C9,#553982" class="' . NNRobots_Popular_Posts::$prefix_dash . 'shortcode-input ' . NNRobots_Popular_Posts::$prefix_dash . 'fancy-colors-selectize" data-shortcode="fancy_colors"><br/>
					<em>' . __('The background color of each item.  Drag and drop to re-order colors.', NNRobots_Popular_Posts::$text_domain) . '</em>
				</p>

			</div>
		</div>
		</div>';
	}

	/**
	 * Include all required files for making the Shortcode Builder work
	 *
	 * @access public
	 * @static
	 * @return void
	 */
	static function include_shortcode_button_scripts() {

		if ( isset($_GET['post']) ) {

			// Scripts

			wp_enqueue_script(NNRobots_Popular_Posts::$prefix . 'shortcode_builder_js', plugins_url('js/shortcode-builder.js', __FILE__), array('jquery', 'wp-color-picker'), false, true);
			wp_enqueue_script(NNRobots_Popular_Posts::$prefix . 'selectize_js', plugins_url('js/selectize.min.js', __FILE__), array('jquery', 'jquery-ui-core', 'jquery-ui-sortable'));

			// Styles

			wp_enqueue_style('wp-color-picker');
			wp_enqueue_style(NNRobots_Popular_Posts::$prefix . 'shortcode_builder_css', plugins_url('css/shortcode-builder.css', __FILE__));
			wp_enqueue_style(NNRobots_Popular_Posts::$prefix . 'selectize_css', plugins_url('css/selectize.css', __FILE__));

			// Localize Scripts

			wp_localize_script(NNRobots_Popular_Posts::$prefix . 'shortcode_builder_js', 'nnr_pp_shortcode', array(
				'prefix' 	=> NNRobots_Popular_Posts::$prefix_dash,
				'ajaxurl'	=> admin_url( 'admin-ajax.php' ),
			));
		}
	}
}